Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		xnecview
#Epoch:		0
Version:	1.35
Release:	1
License:	GNU/GPLv2
URL:		http://wwwhome.cs.utwente.nl/~ptdeboer/ham/xnecview/
Group:		Science/ElectricalEngineering
Summary:	A program for visualizing NEC2 input and output data
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tgz

# Patches:
Patch0:		xnecview-nodebug.patch

# Requires:

# BuildRequires:
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires: gtk+-devel
BuildRequires: gdk-pixbuf-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
Xnecview is a program for visualizing the input and output files of the NEC antenna simulation software. It runs on Linux/Unix systems with the X window system.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m755 xnecview -D $RPM_BUILD_ROOT%{_bindir}/xnecview

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/xnecview

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Jun 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.35-1
- initial CCux package release
